明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1914|回复: 4

object.select的问题

[复制链接]
发表于 2006-8-5 11:37:00 | 显示全部楼层 |阅读模式

谁能告诉我][, FilterType][, FilterData] 的详细用法

帮助里看到的A DXF group code specifying the type of filter to use究竟是什么意思!

 

 

object.Select Mode[, Point1][, Point2][, FilterType][, FilterData]

Object

MSITStore:D:\AutoCAD%202004\help\ACADAUTO.CHM::/idh_selectionset_object.htm" target="_blank" >SelectionSet
The object or objects this method applies to.

Mode

AcSelect enum; input-only

acSelectionSetWindow

acSelectionSetCrossing

acSelectionSetPrevious

acSelectionSetLast

acSelectionSetAll

Point1

Variant (array of doubles); input-only; optional
The 3D WCS coordinates, or array of coordinates, specifying Point1. See the mode definitions for the proper use of Point1.

Point2

Variant (three-element array of doubles); input-only; optional
The 3D WCS coordinates specifying Point2. See the mode definitions for the proper use of Point2.

FilterType

Integer; input-only; optional
A DXF group code specifying the type of filter to use.

FilterData

Variant; input-only; optional
The value to filter on.

发表于 2006-8-7 14:27:00 | 显示全部楼层
<RE class=Code>Sub Example_Select()
    ' This example adds members to a selection set, first by crossing and
    ' then by filtering for circles.
   
    ' Create the selection set
    Dim ssetObj As AcadSelectionSet
    Set ssetObj = ThisDrawing.SelectionSets.Add("SSET")
   
   
    ' Add all object to the selection set that lie within a crossing of (28,17,0) and
    ' (-3.3, -3.6,0)
    Dim mode As Integer
    Dim corner1(0 To 2) As Double
    Dim corner2(0 To 2) As Double
   
    mode = acSelectionSetCrossing
    corner1(0) = 28: corner1(1) = 17: corner1(2) = 0
    corner2(0) = -3.3: corner2(1) = -3.6: corner2(2) = 0
    ssetObj.Select mode, corner1, corner2
   
    ' Add all the Circles to the selection set that lie within the crossing of (28,17,0) and
    ' (-3.3, -3.6,0) by filtering from the current drawing
    Dim gpCode(0) As Integer
    Dim dataValue(0) As Variant
    gpCode(0) = 0
    dataValue(0) = "Circle"
   
    Dim groupCode As Variant, dataCode As Variant
    groupCode = gpCode
    dataCode = dataValue
   
    ssetObj.Select mode, corner1, corner2, groupCode, dataCode
   
End Sub</PRE>
发表于 2006-8-7 14:29:00 | 显示全部楼层

语法

object.Select Mode[, Point1][, Point2][, FilterType][, FilterData]

Object

MSITStore:H:\我的U盘\编程常用参考工具\Autocad2006对象模型.chm::/idh_selectionset_object.htm" target="_blank" >SelectionSet
使用该方法的对象。

Mode

AcSelect 常数; 仅用于输入

acSelectionSetWindow

acSelectionSetCrossing

acSelectionSetPrevious

acSelectionSetLast

acSelectionSetAll

Point1

Variant[变体] (双精度数组); 仅用于输入; 可选项
指定 Point1 的三维 WCS 坐标,或坐标数组。查看模式定义以正确使用 Point1。

Point2

Variant[变体] (三元素双精度数组); 仅用于输入; 可选项
指定 Point2 的三维 WCS 坐标。查看模式定义以正确使用 Point2。

FilterType

Variant[变体](整数数组); 仅用于输入; 可选项
指定使用的过滤器类型的 DXF 组码。

FilterData

Variant[变体](变体数组); 仅用于输入; 可选项
过滤器的值。

说明

该方法支持过滤机制。

有效的选择模式如下:

Window

选择完全在矩形区域内的所有对象,矩形对角由 Point1 和 Point2 定义。

Crossing

选择在矩形区域内和与矩形区域相交的对象,矩形对角由 Point1 和 Point2 定义。

Previous

选择最近的选择集。如果用户在图纸空间和模型空间之间进行切换并试图使用选择集,该模式将被忽略。

Last

选择最近生成的可见对象。

All

选择所有对象。

 楼主| 发表于 2006-8-9 12:54:00 | 显示全部楼层
wyj7485发表于2006-8-7 14:29:00 语法 object.Select Mode Object...

这我知道,我是问:比如FilterType值为0代表什么,8又代表什么等等
发表于 2006-8-9 14:19:00 | 显示全部楼层

 DXF 组 码  说 明

组码                                    说明      
-----------------------------------------------------------
-5                      持续的反应器链 。
-4                      条件运算符(仅用于SSGET ADS-SSGET()
-3                      扩展数据(XDATA)的“步哨”(用途固定)。
-2                      图元名的附注,指出图元的图元名(用途固定)。
-1      *                  图元名。用途固定,名不固定。
0       *                图元类型文本字符串(用途固定)。      
1                       图元的主文本值。
2                       一个名字。
3-4                     其他的文字或名称值。
5      *                  图元句柄。(用途固定)      
6      *                 线型名。(用途固定)      
7                       文本字型名(STYLE)(用途固定)。      
8      *                 图层名(用途固定)。 
10                     主点。LINE-起始点,ARC CIRCLE-圆心。
11-18                  其他点。
39                     图元厚度 (用途固定)。      
40-48 *(48)          浮点数值(文本高度,比例)。
49                     重复的 浮点数值。
50-58                  角度值。
62     *               颜色代码   (用途固定)。
66                    “图元跟踪”标致。(用途固定)                
67                     空间类型标志(用途固定)。
70-78                  整数值。
90-99   *(90)        32位整型值。
100                    子类数据标记
102                    控制字符串。
105                   DIMVAR符号表条目(ENTRY)对象句柄。
210                   拉伸方向(用途固定)。
280-289               8位整型值。
300-309               任意的文本字符串。
310-319               任意的二进制存储“槽”。
320-329               任意的对象句柄。

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-27 00:38 , Processed in 0.177770 second(s), 24 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表